## munin 2.0.56

=== Makefile ===
# -*- makefile -*-
#
# Gnu make only.  Seriously.
#
# $Id$

# Defaults/paths. Allows $(CONFIG) to be overridden by
# make command line
DEFAULTS = Makefile.config
CONFIG = Makefile.config

include $(DEFAULTS)
ifneq ($(DEFAULTS),$(CONFIG))
    include $(CONFIG)
endif

ifeq ($(JCVALID),yes)
JAVA_BUILD=build-plugins-java
JAVA_INSTALL=install-plugins-java
JAVA_PLUGINS=plugins/node.d.java/*
endif

RELEASE          := $(shell $(CURDIR)/getversion)
INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
INSTALL          := ./install-sh
DIR              := $(shell /bin/pwd | sed 's/^.*\///')
INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
CLASSFILES       := $(shell find plugins/javalib -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
PLUGINS          := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/* $(JAVA_PLUGINS))
MANCENTER        := "Munin Documentation"
MAN8             := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph node/_bin/munin-get
PODMAN8          := build/master/doc/munin-cron master/doc/munin master/doc/munin-check
PODMAN5          := build/master/doc/munin.conf node/doc/munin-node.conf
PYTHON_LINT_CALL ?= python3 -m flake8
CONFVAR_SUBSTITUTION_FILES = \
	master/blib/libdoc/Munin\:\:Master\:\:HTMLOld.3pm \
	master/blib/lib/Munin/Master/HTMLOld.pm \
	node/blib/sbin/munin-node-configure \
	node/blib/sbin/munin-node \
	node/blib/sbin/munin-run \
	build/doc/munin-node.conf.5
MAKEFILES        := Makefile $(DEFAULTS) $(CONFIG)

# TODO: remove this fallback code for "make v3.x" (up to Debian Wheezy / Ubuntu Trusty) as soon as
#       the CI supports a more modern distribution
#       (see https://docs.travis-ci.com/user/reference/overview/)
# Make v3.x failed to handle colon escaping properly - thus we remove complicated filenames from
# targets and dependencies.  This may affect corner cases of dependency handling for the one file
# above containing a colon.  But in this case it is just about substituting paths in a
# documentation file - thus we can live with this rare risk of incorrectness.
ifeq ($(firstword $(subst ., ,$(MAKE_VERSION))),3)
# weed out all complicated filenames containing a colon
CONFVAR_SUBSTITUTION_DEP_FILES = $(shell printf '%s\n' $(CONFVAR_SUBSTITUTION_FILES) | grep -v ":")
else
CONFVAR_SUBSTITUTION_DEP_FILES = $(CONFVAR_SUBSTITUTION_FILES)
endif


.PHONY: install install-pre install-master-prime install-node-prime install-node-pre install-common-prime install-doc install-man \
	build build-common build-common-pre build-doc \
	substitute-build-defaults-inline substitute-confvar-inline \
	source_dist \
	test lint clean \
	clean-% test-% build-% install-% \
	tags \
	infiles

.SECONDARY: node/Build master/Build plugins/Build

.SUFFIXES: .java .class

# This HAS to be the 1st rule
default: build

.java.class:
	$(JC) -sourcepath plugins/javalib -d build/plugins/javalib $(JFLAGS) plugins/javalib/$(subst plugins/javalib/,,$*.java)

uninstall:
	echo "Uninstall is not implemented yet"

# This removes the installed config so that the next install-pass installs
# a new config.  Target _only_ suitable for maintainers.
unconfig:
	rm -f $(HTMLDIR)/.htaccess
	rm -f $(CONFDIR)/munin.conf

tags:
	-rm -f TAGS
	find master common -type f | egrep -v '/(build/|_build/|blib/|\.svn/)' | grep -v '\.t$$' | fgrep -v '~' | xargs etags -l perl -a

######################################################################

install: install-master-prime install-common-prime install-node-prime install-plugins-prime $(JAVA_INSTALL) install-man install-async-prime

install-pre: $(MAKEFILES)
	@$(CHECKUSER)
	mkdir -p $(LOGDIR)
	mkdir -p $(STATEDIR)
	mkdir -p $(SPOOLDIR)
	mkdir -p $(CONFDIR)
	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR) $(SPOOLDIR)

install-master-prime: $(INFILES_MASTER) install-pre install-master
	mkdir -p $(CONFDIR)/templates
	mkdir -p $(CONFDIR)/static
	mkdir -p $(CONFDIR)/templates/partial
	mkdir -p $(CONFDIR)/munin-conf.d
	mkdir -p $(LIBDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(PERLLIB)
	mkdir -p $(PERLLIB)/Munin/Master
	mkdir -p $(HTMLDIR)
	mkdir -p $(DBDIR)
	mkdir -p $(DBDIR)/cgi-tmp
	mkdir -p $(CGIDIR)

	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
	$(CHMOD) 0755 $(DBDIR)

	$(CHOWN) $(CGIUSER) $(DBDIR)/cgi-tmp
	$(CHMOD) 0755 $(DBDIR)/cgi-tmp

	for p in master/www/*.tmpl ;  do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/ ; \
	done

	for p in master/static/* ; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/static/ ; \
	done

	for p in master/www/partial/*.tmpl; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/partial/ ; \
	done

	$(INSTALL) -m 0644 master/DejaVuSansMono.ttf $(LIBDIR)/
	$(INSTALL) -m 0644 master/DejaVuSans.ttf $(LIBDIR)/

	test -f $(HTMLDIR)/.htaccess || $(INSTALL) -m 0644 build/master/www/munin-htaccess $(HTMLDIR)/.htaccess
	test -f "$(CONFDIR)/munin.conf"  || $(INSTALL) -m 0644 build/master/munin.conf $(CONFDIR)/

	$(INSTALL) -m 0755 build/master/_bin/munin-cron $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-check $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-update $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-html $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-graph $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-limits $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-datafile2storable $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-storable2datafile $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-graph $(CGIDIR)/munin-cgi-graph
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-html $(CGIDIR)/munin-cgi-html

install-node-plugins: install-plugins-prime

install-plugins-prime: install-plugins build $(PLUGINS) $(MAKEFILES)
	@$(CHECKGROUP)

	mkdir -p $(CONFDIR)/plugins
	mkdir -p $(CONFDIR)/plugin-conf.d
	mkdir -p $(LIBDIR)/plugins
	mkdir -p $(PLUGSTATE)

	$(CHOWN) root:root $(PLUGSTATE)
	$(CHMOD) 0755 $(PLUGSTATE)
	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d

	@# Process the OS specific plugins at the end. Otherwise they would be overridden by the
	@# generic ones.
	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
		if test -f "$$p"; then \
			echo Installing $$p; \
			$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/; \
		fi \
	done
	@# Some HP-UX plugins need *.adv support files in LIBDIR
	if [ "$(OSTYPE)" = "hp-ux" ]; then mv $(LIBDIR)/plugins/*.adv $(LIBDIR); fi
	$(INSTALL) -m 0644 build/plugins/plugins.history $(LIBDIR)/plugins/
	$(INSTALL) -m 0644 build/plugins/plugin.sh $(LIBDIR)/plugins/

install-plugins-java: build-plugins-java
	mkdir -p $(JAVALIBDIR)
	$(INSTALL) -m 0644 build/plugins/javalib/munin-jmx-plugins.jar $(JAVALIBDIR)/
	mkdir -p $(LIBDIR)/plugins
	for p in build/plugins/node.d.java/*; do \
		if test -f "$$p"; then \
			echo Installing $$p; \
			$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/; \
		fi \
	done

#TODO:
# configure plugins.  Or not. Better done under the direction of the installer
# or the packager.

install-async-prime: install-async

install-async:
	mkdir -p $(LIBDIR)
	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/

install-node-prime: install-node-pre install-node

install-node-pre: build/node/munin-node.conf install-pre
	test -f "$(CONFDIR)/munin-node.conf" || $(INSTALL) -m 0644 build/node/munin-node.conf $(CONFDIR)/


install-common-prime: build-common install-common


install-man: build-man $(MAKEFILES)
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man5 $(MANDIR)/man8
	$(INSTALL) -m 0644 build/doc/munin-node.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin-update.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-limits.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-graph.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-html.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-cron.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-check.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin.8 $(MANDIR)/man8/


install-doc: build-doc
	mkdir -p $(DOCDIR)/resources
	$(INSTALL) -m 0644 README $(DOCDIR)/
	$(INSTALL) -m 0644 COPYING $(DOCDIR)/
	$(INSTALL) -m 0644 build/resources/* $(DOCDIR)/resources

######################################################################

# Dummy rule to enable parallel building
infiles: $(INFILES)

build: infiles build-master build-common build-node build-plugins $(JAVA_BUILD) build-man build-confvar-substitution-stamp

build/%: %.in
	@echo "$< -> $@"
	@mkdir -p build/`dirname $<`
	@sed -e 's|@@PREFIX@@|$(PREFIX)|g' \
		-e 's|@@CONFDIR@@|$(CONFDIR)|g' \
		-e 's|@@BINDIR@@|$(BINDIR)|g' \
		-e 's|@@SBINDIR@@|$(SBINDIR)|g' \
		-e 's|@@DOCDIR@@|$(DOCDIR)|g' \
		-e 's|@@LIBDIR@@|$(LIBDIR)|g' \
		-e 's|@@MANDIR@@|$(MANDIR)|g' \
		-e 's|@@LOGDIR@@|$(LOGDIR)|g' \
		-e 's|@@HTMLDIR@@|$(HTMLDIR)|g' \
		-e 's|@@DBDIR@@|$(DBDIR)|g' \
		-e 's|@@STATEDIR@@|$(STATEDIR)|g' \
		-e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g' \
		-e 's|@@PERL@@|$(PERL)|g' \
		-e 's|@@PERLLIB@@|$(PERLLIB)|g' \
		-e 's|@@PYTHON@@|$(PYTHON)|g' \
		-e 's|@@RUBY@@|$(RUBY)|g' \
		-e 's|@@JAVARUN@@|$(JAVARUN)|g' \
		-e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g' \
		-e 's|@@OSTYPE@@|$(OSTYPE)|g' \
		-e 's|@@HOSTNAME@@|$(HOSTNAME)|g' \
		-e 's|@@MKTEMP@@|$(MKTEMP)|g' \
		-e 's|@@VERSION@@|$(VERSION)|g' \
		-e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g' \
		-e 's|@@CGIDIR@@|$(CGIDIR)|g' \
		-e 's|@@CGITMPDIR@@|$(CGITMPDIR)|g' \
		-e 's|@@USER@@|$(USER)|g' \
		-e 's|@@GROUP@@|$(GROUP)|g' \
		-e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g' \
		-e 's|@@GOODSH@@|$(GOODSH)|g' \
		-e 's|@@BASH@@|$(BASH)|g' \
		-e 's|@@HASSETR@@|$(HASSETR)|g' \
		$< > $@;


build-confvar-substitution-stamp: $(CONFVAR_SUBSTITUTION_DEP_FILES)
	$(MAKE) substitute-confvar-inline
	touch build-confvar-substitution-stamp


$(CONFVAR_SUBSTITUTION_DEP_FILES): build-master build-node build-man


# the build process depends on the substituted script (see node/Build.PL)
build-node: build/node/_bin/munin-get


substitute-confvar-inline:
	perl -p -i -e 's|\@\@PREFIX\@\@|$(PREFIX)|g;' \
		-e 's|\@\@CONFDIR\@\@|$(CONFDIR)|g;' \
		-e 's|\@\@BINDIR\@\@|$(BINDIR)|g;' \
		-e 's|\@\@SBINDIR\@\@|$(SBINDIR)|g;' \
		-e 's|\@\@DOCDIR\@\@|$(DOCDIR)|g;' \
		-e 's|\@\@LIBDIR\@\@|$(LIBDIR)|g;' \
		-e 's|\@\@MANDIR\@\@|$(MANDIR)|g;' \
		-e 's|\@\@LOGDIR\@\@|$(LOGDIR)|g;' \
		-e 's|\@\@HTMLDIR\@\@|$(HTMLDIR)|g;' \
		-e 's|\@\@DBDIR\@\@|$(DBDIR)|g;' \
		-e 's|\@\@STATEDIR\@\@|$(STATEDIR)|g;' \
		-e 's|\@\@SPOOLDIR\@\@|$(SPOOLDIR)|g;' \
		-e 's|\@\@PERL\@\@|$(PERL)|g;' \
		-e 's|\@\@PERLLIB\@\@|$(PERLLIB)|g;' \
		-e 's|\@\@PYTHON\@\@|$(PYTHON)|g;' \
		-e 's|\@\@RUBY\@\@|$(RUBY)|g;' \
		-e 's|\@\@JAVARUN\@\@|$(JAVARUN)|g;' \
		-e 's|\@\@JAVALIBDIR\@\@|$(JAVALIBDIR)|g;' \
		-e 's|\@\@OSTYPE\@\@|$(OSTYPE)|g;' \
		-e 's|\@\@HOSTNAME\@\@|$(HOSTNAME)|g;' \
		-e 's|\@\@MKTEMP\@\@|$(MKTEMP)|g;' \
		-e 's|\@\@VERSION\@\@|$(VERSION)|g;' \
		-e 's|\@\@PLUGSTATE\@\@|$(PLUGSTATE)|g;' \
		-e 's|\@\@CGIDIR\@\@|$(CGIDIR)|g;' \
		-e 's|\@\@USER\@\@|$(USER)|g;' \
		-e 's|\@\@GROUP\@\@|$(GROUP)|g;' \
		-e 's|\@\@PLUGINUSER\@\@|$(PLUGINUSER)|g;' \
		-e 's|\@\@GOODSH\@\@|$(GOODSH)|g;' \
		-e 's|\@\@BASH\@\@|$(BASH)|g;' \
		-e 's|\@\@HASSETR\@\@|$(HASSETR)|g;' \
		$(CONFVAR_SUBSTITUTION_FILES)


build-common-pre: common/Build
	cd common && $(PERL) Build code


# The target needs an update, if the latest substitution stamp is older then the generated
# Defaults.pm. This can happen, if:
#     * the generated Defaults.pm is missing
#     * or "build-common-pre" caused an update of its source file (thus regenerated Defaults.pm)
build-common-defaults-stamp: common/blib/lib/Munin/Common/Defaults.pm
	$(MAKE) substitute-build-defaults-inline
	@# We need the stamp file, due to the inline nature of this build step. Otherwise it would
	@# be run again during "install" - which would mess up the paths substituted in that step.
	touch build-common-defaults-stamp

=== debian/changelog ===
munin (2.0.56-1ubuntu1.1) focal; urgency=medium

  * autopkgtest: Avoid remaining race with cron shutdown. (LP: #1865938)

 -- dann frazier <dannf@ubuntu.com>  Mon, 21 Nov 2022 14:30:24 -0700

munin (2.0.56-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
    - Stop cron and clean cache before running tests, because cron can also run
      munin

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 14 Feb 2020 12:25:00 +0100

munin (2.0.56-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream bugfix release, 2.0.56.
  * Bump standards version to 4.5.0, no changes needed.

  [ Lars Kruse ]
  * New upstream bugfix release, 2.0.55.
  * Disable test of munin-node with sysvinit. Closes: #949887.

 -- Holger Levsen <holger@debian.org>  Sat, 08 Feb 2020 00:08:10 +0100

munin (2.0.54-1ubuntu2) focal; urgency=medium

  * Stop cron and clean cache before running tests, because cron can also run
    munin

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Feb 2020 19:45:12 +0100

munin (2.0.54-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
  * Dropped changes, included in Debian:
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 12:56:26 -0800

munin (2.0.54-1) unstable; urgency=medium

  * New upstream release, drop debian/patches merged upstream.


 -- Holger Levsen <holger@debian.org>  Mon, 20 Jan 2020 20:42:10 +0100

munin (2.0.52-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream version 2.0.52 introducing the new tool "munin-get" and
    fixing various issues including:
    - sensors_ plugin unable to parse millivolt (Closes: #943577)
  * Add Russian translation for debconf strings.
    (thanks, Lev Lamberov, Closes: #942638)
  * Add Portuguese translation for debconf strings.
    (thanks, Américo Monteiro, Closes: #942697)
  * Add Dutch translation for debconf strings.
    (thanks, Frans Spiesschaert, Closes: #945359)
  * Add Recommends for new "munin-get" tool.
  * Patch: fix missing "munindoc" in build process.
  * Tests: compatibility with systemd-only derivatives (Closes: #926979)
  * Tests: simplify handling of different init systems.
  * Tests: reduce environment requirements for sysvinit tests from
    "isolation-machine" to "isolation-container"
  * Mention systemd restrictions in README.PluginConfiguration.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 13:39:41 +0100

munin (2.0.51-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run the setup again, if upgrading from 2.0.37-1.  This change can be
      dropped after the Ubuntu 20.04 LTS release.
    - Add missing test dependency on net-tools for netstat plugin.
    - Drop sysvinit autopkgtests, sysvinit is not supported in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Oct 2019 23:54:59 -0700

munin (2.0.51-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Holger Levsen <holger@debian.org>  Sat, 19 Oct 2019 01:03:20 +0200

munin (2.0.50-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream bugfix release.
  * Bump standards version to 4.4.1, no changes needed.

  [ Lars Kruse ]
  * Add meta header and encoding to German debconf translation.
  * Add French translation for debconf strings.
    (thanks, Jean-Pierre Giraud, Closes: #939199)

 -- Holger Levsen <holger@debian.org>  Thu, 17 Oct 2019 11:18:09 +0200

=== debian/control ===
Source: munin
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
Uploaders: Holger Levsen <holger@debian.org>,
 Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep:
 default-jdk,
 html2text,
 htmldoc,
 libfile-slurp-perl,
 libhtml-template-perl,
 libio-stringy-perl,
 liblist-moreutils-perl,
 liblog-log4perl-perl,
 libnet-server-perl,
 libnet-snmp-perl,
 libnet-ssleay-perl,
 librrds-perl,
 libtest-deep-perl,
 libtest-differences-perl,
 libtest-exception-perl,
 libtest-longstring-perl,
 libtest-mockmodule-perl,
 libtest-mockobject-perl,
 perl,
Build-Depends:
 debhelper-compat (=12),
 libmodule-build-perl,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: http://munin-monitoring.org
Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
Vcs-Browser: https://salsa.debian.org/debian/munin

Package: munin-node
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 libnet-server-perl,
 lsb-base (>= 4.1),
 munin-common (>= ${binary:Version}),
 munin-plugins-core,
 netbase,
Recommends:
 gawk,
 git,
 jo,
 jq,
 man,
 munin-plugins-extra,
 perl-doc,
 procps,
Suggests:
 munin,
 munin-plugins-java,
Replaces: munin-doc (<< 2.0.37-3)
Breaks: munin-doc (<< 2.0.37-3)
Description: network-wide graphing framework (node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the daemon for the nodes being monitored. You should
 install it on all the nodes in your network. It will know how to extract all
 sorts of data from the node it runs on, and will wait for the gatherer to
 request this data for further processing.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-core
Provides: munin-plugins
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
Recommends: libnet-snmp-perl
Suggests:
 acpi | lm-sensors,
 conntrack,
 default-mysql-client,
 ethtool,
 hdparm,
 libdbd-pg-perl,
 libhttp-date-perl,
 liblwp-useragent-determined-perl,
 libnet-ip-perl,
 libnet-irc-perl,
 libnet-ldap-perl,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libxml-parser-perl,
 libxml-simple-perl,
 libcache-cache-perl,
 libdbd-mysql-perl,
 libnet-dns-perl,
 logtail,
 net-tools,
 python3,
 ruby,
 smartmontools,
Description: network-wide graphing framework (plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the official plugins for the Munin node, capable of
 extracting common values such as cpu usage, network usage, load average, and
 so on.
 .
 Creating your own plugins which are capable of extracting other system-specific
 values is very easy, and is often done in a matter of minutes.
 You can also create plugins which relay information from other devices in your
 network that can't run Munin, such as a switch or a server running another
 operating system, by using SNMP or similar technology.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
Suggests:
 libcache-memcached-perl,
 liblwp-useragent-determined-perl,
 libnet-ip-perl,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libnet-snmp-perl,
 libtext-csv-xs-perl,
 libxml-libxml-perl,
 python3,
Description: network-wide graphing framework (user contributed plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains unsupported plugins for the Munin node, contributed by
 various users of Munin.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-java
Architecture: all
Depends: ${misc:Depends},
 default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
 munin-common (>= ${binary:Version}),
Description: network-wide graphing framework (java plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the java based plugins that are used by munin-node to
 monitor Java Management Extensions (JMX).
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 4.1),
 cron | cron-daemon | systemd-sysv,
 fonts-dejavu-core,
 libdate-manip-perl,
 libdigest-md5-perl,
 libfile-copy-recursive-perl,
 libhtml-template-perl,
 libio-socket-inet6-perl,
 liblog-log4perl-perl,
 librrds-perl,
 libstorable-perl,
 libtime-hires-perl,
 liburi-perl,
 munin-common (>= ${binary:Version}),
 netbase,
 rrdtool,
Recommends: munin-node, munin-doc, libcgi-fast-perl
Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
Replaces: munin-doc (<< 2.0.37-3)
Breaks: munin-doc (<< 2.0.37-3)
Description: network-wide graphing framework (grapher/gatherer)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the grapher/gatherer. You will only need one instance of
 it in your network. It will periodically poll all the nodes in your network
 it's aware of for data, which it in turn will use to create graphs and HTML
 pages, suitable for viewing with your graphical web browser of choice.
 .
 It is also able to alert you if any value is outside of a preset boundary,
 useful if you want to be alerted if a filesystem is about to grow full, for
 instance.  You can do this by making Munin run an arbitrary command when you
 need to be alert it, or make use of the intrinsic Nagios support.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-common
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 adduser,
 liblist-moreutils-perl,
Replaces: munin-doc (<< 2.0.37-3)
Breaks: munin-doc (<< 2.0.37-3)
Description: network-wide graphing framework (common)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the common perl modules that are used by both munin
 and munin-node.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-async
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 4.1),
 adduser,
 munin-common (>= ${binary:Version}),
 munin-node,
Description: network-wide graphing framework (async master/client)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains munin-async and munin-asyncd which can
 be used for (optional) asynchronous operation of munin-update.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}
Description: network-wide graphing framework (documentation)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains all the documentation as POD files.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

=== debian/tests/control ===
# Tests for master components:
#   * collect graphs
#   * generate html and png files
#
# Dependencies:
#   * apache2: handle HTTP requests
#   * cron (only sysV init): manually enforce a dependency conflict when switching to sysvinit-core
#   * curl: HTTP requests for munin-httpd
#   * daemontools: for "setuidgid"
#   * file: determine mime type of HTTP responses
#   * libcgi-fast-perl: required for delivery via apache2
#   * munin-node: provide data to be retrieved by the munin master
#   * munin-plugins-core: required for requesting plugin graphs via munin-httpd
#   * netcat-openbsd: test local tcp connection
#   * psmisc: "killall" for cleanup before master tests
#   * sharness: test framework
#
# Additional specified "restrictions" for SysV init tests:
#   * allow-stderr: apache2 emits the warning message
#     "Could not reliably determine the server's fully qualified domain name".  It is harmless.
#     The message is only emitted with SysV init. With systemd a slightly different name resolution
#     seems to be in effect.  Thus we can ignore this output on stderr.
#   * skip-not-installable: some distributions (e.g. Ubuntu) do not ship sysvinit-core.  They
#     should be allowed to skip these tests.


# systemd
Tests: master-cron, master-cgi
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, systemd-sysv
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
Tests: master-cron, master-cgi
Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, cron
Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable


# Tests for munin-node:
#   * run the node
#   * access plugins
#
# Dependencies:
#   * netcat-openbsd: test local tcp connection
#   * sharness: test framework

# systemd
Tests: node
Depends: munin-node, netcat-openbsd, sharness, net-tools, systemd-sysv
Restrictions: needs-root, breaks-testbed, isolation-container

# sysvinit-core
# TODO: The test below fails due to a hanging "echo ... | nc localhost munin" after a restart of
#       munin-node. The reason for this hanging communication is not known (it works with systemd).
#Tests: node
#Depends: munin-node, netcat-openbsd, sharness, net-tools, sysvinit-core, cron
#Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable

# verify that all binary packages can be installed at the same time (without conflicts)
Test-Command: true
Depends: @
Restrictions: breaks-testbed

## munin 2.0.57

=== dists/freebsd/munin-main/Makefile ===
# New ports collection makefile for:	munin-main
# Date created:				25 January 2004
# Whom:					Lupe Christoph <lupe@lupe-christoph.de>
#
# $FreeBSD: ports/sysutils/munin-main/Makefile,v 1.7 2004/12/14 01:43:10 sem Exp $
#

PORTNAME=	munin
PORTVERSION=	1.2.2
CATEGORIES=	sysutils perl5
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	munin
PKGNAMESUFFIX=	-main
DISTNAME=	${PORTNAME}_${PORTVERSION:S/.r/rc/}

MAINTAINER=	lupe@lupe-christoph.de
COMMENT=	Collector part of Munin

RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/RRDs.pm:${PORTSDIR}/net/rrdtool \
		${SITE_PERL}/Net/Domain.pm:${PORTSDIR}/net/p5-Net \
		${SITE_PERL}/HTML/Template.pm:${PORTSDIR}/www/p5-HTML-Template \
		${SITE_PERL}/Date/Manip.pm:${PORTSDIR}/devel/p5-Date-Manip
BUILD_DEPENDS=	${RUN_DEPENDS}

.include <bsd.port.pre.mk>

.if ${PERL_LEVEL} <= 500800
RUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/Storable.pm:${PORTSDIR}/devel/p5-Storable \
		${SITE_PERL}/${PERL_ARCH}/Digest/MD5.pm:${PORTSDIR}/security/p5-Digest-MD5 \
		${SITE_PERL}/${PERL_ARCH}/Time/HiRes.pm:${PORTSDIR}/devel/p5-Time-HiRes \
		${SITE_PERL}/Text/Balanced.pm:${PORTSDIR}/textproc/p5-Text-Balanced
.endif

USE_GMAKE=	yes
PATCH_STRIP=	-p1
WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/.r/rc/}
PKGMESSAGE=	${WRKDIR}/pkg-message
ALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} build build-man
INSTALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} install-main

MAN5=		munin.conf.5
MAN8=		munin-cron.8 munin-graph.8 munin-html.8 munin-limits.8 munin-update.8

SUB_FILES=pkg-message

pre-install:
	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL

post-install:
	@${INSTALL_DATA} ${WRKSRC}/build/server/munin.conf ${PREFIX}/etc/munin/munin.conf.sample
	@for man in ${MAN5}; do \
		${INSTALL_MAN} -C ${WRKSRC}/build/doc/$$man ${PREFIX}/man/man5; \
	done
	@for man in ${MAN8}; do \
		${INSTALL_MAN} -C ${WRKSRC}/build/doc/$$man ${PREFIX}/man/man8; \
	done
	@DATADIR=${DATADIR} PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} POST-INSTALL
	@${CHOWN} munin /var/log/munin-main
	@${CHGRP} munin /var/run/munin /var/log/munin-main ${PREFIX}/www/data/munin ${PREFIX}/var/munin
	@${CAT} ${PKGMESSAGE}

.include <bsd.port.post.mk>

=== dists/freebsd/munin-node/Makefile ===
# New ports collection makefile for:	munin-node
# Date created:				25 January 2004
# Whom:					Lupe Christoph <lupe@lupe-christoph.de>
#
# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.12 2004/12/14 01:43:10 sem Exp $
#

PORTNAME=	munin
PORTVERSION=	1.2.2
CATEGORIES=	sysutils perl5
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	munin
PKGNAMESUFFIX=	-node
DISTNAME=	${PORTNAME}_${PORTVERSION:S/.r/rc/}

MAINTAINER=	lupe@lupe-christoph.de
COMMENT=	Node-specific part of Munin

RUN_DEPENDS=	${SITE_PERL}/Net/Server/Fork.pm:${PORTSDIR}/net/p5-Net-Server
BUILD_DEPENDS=	${RUN_DEPENDS}

.include <bsd.port.pre.mk>

.if ${OSVERSION} < 500000
RUN_DEPENDS=	${LOCALBASE}/etc/rc.subr:${PORTSDIR}/sysutils/rc_subr
.endif

.if ${PERL_LEVEL} < 500800
RUN_DEPENDS+=	${SITE_PERL}/Net/Domain.pm:${PORTSDIR}/net/p5-Net
.endif

USE_GMAKE=	yes
PATCH_STRIP=	-p1
WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/.r/rc/}
PKGMESSAGE=	${WRKDIR}/pkg-message
ALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} build build-man
INSTALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} INSTALL_PLUGINS="auto manual snmpauto" install-node install-node-plugins
MAKE_ENV=	LANG=C

MAN5=		munin-node.conf.5
MAN8=		munin-node-configure.8 munin-node.8 munin-run.8

SUB_FILES=	pkg-message munin-node.sh munin-node-revive.sh
SUB_LIST=	RC_SUBR=${RC_SUBR}
USE_RC_SUBR=	YES

pre-install:
	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL

post-install:
	${INSTALL_SCRIPT} ${WRKDIR}/munin-node.sh ${PREFIX}/etc/rc.d/munin-node.sh
.if ${PERL_LEVEL} < 500800
	${INSTALL_SCRIPT} ${WRKDIR}/munin-node-revive.sh ${PREFIX}/bin/munin-node-revive
.endif
	${INSTALL_DATA} ${WRKSRC}/build/node/munin-node.conf ${PREFIX}/etc/munin/munin-node.conf.sample
	${INSTALL_DATA} files/plugins.conf ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf.sample
	@if [ ! -f ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf ]; then \
		${INSTALL_DATA} ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf.sample ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf; \
	fi
	@${CAT} ${PKGMESSAGE}
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-node.conf.5 ${PREFIX}/man/man5
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-node-configure.8 ${PREFIX}/man/man8
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-node.8 ${PREFIX}/man/man8
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-run.8 ${PREFIX}/man/man8
	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} POST-INSTALL
	@${ECHO} ${DISTNAME} | ${SED} -e 's/munin_//' > ${PREFIX}/etc/munin/VERSION.node

.include <bsd.port.post.mk>

=== debian/changelog ===
munin (2.0.57-1ubuntu2) jammy; urgency=medium

  * d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
    exitnoerror and update some snmp arguments to match their correct naming.
    (LP: #1680975)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 12 Nov 2021 15:27:50 -0700

munin (2.0.57-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      * Add missing test dependency on net-tools for netstat plugin.
      * Stop cron and clean cache before running tests, because cron
        can also run munin
    - Dropped changes:
      * Run the setup again, if upgrading from 2.0.37-1
   * Disable sysv autopkgtests

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 07 May 2020 14:42:21 +0200

munin (2.0.57-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream release, 2.0.57, fixing the following issue:
    - munin-run: ignore DropInPaths property (Closes: #951095)
  * munin-node sysvinit: simplify detection of "pid_file" location
  * munin-node sysvinit: remove check for root user
  * munin-node sysvinit: separate code for start preparation
  * sysvinit for munin/munin-async/munin-node: use "init-d-system"
    instead of "init-functions"
  * sysvinit/systemd for munin-async/munin-node: wait for "sd_notify"
    signal
  * munin sysvinit: reduce dependencies and suggest to start before cron
    (otherwise cron could execute "munin-update" before /run/munin/ is ready)
  * d/tests: use unique names for tests with systemd and sysvinit.
    (thanks, Michael Biebl, Closes: #949889)
  * d/tests: enable test "node-sysv" again
  * d/tests (sysvinit): wait for all init scripts to be finished before
    starting any tests (Closes: #949887)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 07 May 2020 13:19:58 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 
 # systemd
-Tests: master-cron, master-cgi
+Tests: master-cron-systemd, master-cgi-systemd
 Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, systemd-sysv
 Restrictions: needs-root, breaks-testbed, isolation-container
 
 # sysvinit-core
-Tests: master-cron, master-cgi
-Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, cron
-Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable
+#Tests: master-cron-sysv, master-cgi-sysv
+#Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, #cron
+#Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable
 
 
 # Tests for munin-node:
@@ -44,14 +44,12 @@
 #   * sharness: test framework
 
 # systemd
-Tests: node
+Tests: node-systemd
 Depends: munin-node, netcat-openbsd, sharness, net-tools, systemd-sysv
 Restrictions: needs-root, breaks-testbed, isolation-container
 
 # sysvinit-core
-# TODO: The test below fails due to a hanging "echo ... | nc localhost munin" after a restart of
-#       munin-node. The reason for this hanging communication is not known (it works with systemd).
-#Tests: node
+#Tests: node-sysv
 #Depends: munin-node, netcat-openbsd, sharness, net-tools, sysvinit-core, cron
 #Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable

## munin 2.0.67

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 #
 # Gnu make only.  Seriously.
 #
-# $Id$
 
 # Defaults/paths. Allows $(CONFIG) to be overridden by
 # make command line

=== debian/changelog ===
munin (2.0.67-3) unstable; urgency=high

  * debian/munin-node.service: ensure /run/munin directory exists with the
    correct permissions. Closes: #991411 (which was introduced in 2.0.67-2 to
    address #990371)

 -- Holger Levsen <holger@debian.org>  Wed, 28 Jul 2021 18:16:53 +0200

munin (2.0.67-2) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * debian/munin-node.service: ensure /run/munin directory exists.
    Closes: #990371.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Jul 2021 14:40:08 +0200

munin (2.0.67-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream release.

  [ Debian Janitor ]
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Holger Levsen <holger@debian.org>  Fri, 26 Feb 2021 13:24:19 +0100

munin (2.0.66-1) unstable; urgency=medium

  * New upstream release.
  * Add Brazilian Portuguese debconf templates translation, thanks to
    Adriano Rafael Gomes. Closes: #964892.
  * Bump standards version to 4.5.1, no changes needed.
  * d/copyright: update my copyright years.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Jan 2021 23:20:37 +0100

munin (2.0.65-1) unstable; urgency=medium

  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Oct 2020 17:15:09 +0100

munin (2.0.64-1) unstable; urgency=medium

  * New upstream version.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Sep 2020 17:18:14 +0200

munin (2.0.63-1) unstable; urgency=medium

  [ Lars Kruse ]
  * New upstream release, 2.0.63.
  * New upstream release, 2.0.62.
  * New upstream release, 2.0.61.
  * New upstream release, 2.0.60, fixing the following issue:
    - asterisk_* plugins: removal due to being outdated. Use the plugins
      from "contrib" repository instead (e.g. via "munin-get").
      (Closes: #713891, #806173, #934334)
  * New upstream release, 2.0.59.
  * New upstream release, 2.0.58, fixing the following issue:
    - apt_all plugin: override local apt settings that could
      interfere with the plugin operation (Closes: #761190)
    - apt_all plugin: rename state file in order to avoid confusion
      (Closes: #863231)
  * munin sysvinit: fix bash-incompatibility of init script
    (thanks, Craig Sanders, Closes: #954234)
  * munin-plugins-core: add missing "Suggests" for "nginx_status"
    (package "libwww-perl")
    (thanks, Olaf Zaplinski, Closes: #954930)
  * clean up maintainer scripts
    (quoting, whitespace, parameter handling)
  * munin-(node|common).postinst: remove redundant code
  * munin-node.postinst: remove unused conditional
  * munin-node.postinst: simplify log redirections
  * mask systemd service "munin"
    The init script only creates directories - these are handled via
    systemd-tmpfiles.
    (thanks, Andreas Henriksson)

  [ Holger Levsen ]
  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Jun 2020 01:55:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: munin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
+Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
  Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep:
@@ -26,11 +25,11 @@
  libtest-mockobject-perl,
  perl,
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  libmodule-build-perl,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin
@@ -96,6 +95,7 @@
  libcache-cache-perl,
  libdbd-mysql-perl,
  libnet-dns-perl,
+ libwww-perl,
  logtail,
  net-tools,
  python3,

## munin 2.0.69

=== debian/changelog ===
munin (2.0.69-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1986980). Remaining changes:
    - Add missing test dependency on net-tools for netstat plugin.
    - Disable sysv autopkgtests
    - Stop cron and clean cache before running tests, because cron can also run
      munin
    - Run the setup again, if upgrading from 2.0.37-1
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
      exitnoerror and update some snmp arguments to match their correct naming.
      (LP #1680975)
  * Dropped changes:
    - Run the setup again, if upgrading from 2.0.37-1
  * New Changes:
    - d/p/munin-node-configure-doc-fix.patch: Refresh patch as it was partially
      fixed upstream

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 18 Aug 2022 09:36:18 -0700

munin (2.0.69-1) unstable; urgency=medium

  [ Holger Levsen ]
  * New upstream release.
  * d/copyright: update my copyright years.
  * Update standards version to 4.6.0, no changes needed.

  [ lintian-brush ]
  * Use secure URI in Homepage field.

 -- Holger Levsen <holger@debian.org>  Mon, 03 Jan 2022 12:21:59 +0100

munin (2.0.67-4) unstable; urgency=medium

  * debian/munin-node.service: use full path to /usr/bin/install as one user
    reported systemd complaining about the non absolut path on ubuntu 18.04.
    (Both variants have been tested fine on bullseye.)

 -- Holger Levsen <holger@debian.org>  Fri, 30 Jul 2021 23:45:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: munin
 Section: net
 Priority: optional
-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>,
  Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep:
@@ -29,8 +30,8 @@
  libmodule-build-perl,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Homepage: http://munin-monitoring.org
+Standards-Version: 4.6.0
+Homepage: https://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin

## munin 2.0.71

=== debian/changelog ===
munin (2.0.71-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add missing test dependency on net-tools for netstat plugin.
    - Disable sysv autopkgtests
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
      exitnoerror and update some snmp arguments to match their correct naming.

 -- dann frazier <dannf@ubuntu.com>  Mon, 21 Nov 2022 13:14:25 -0700

munin (2.0.71-2) unstable; urgency=medium

  [ dann frazier ]
  * debian/tests/munin-master/01.master-components.t: Avoid remaining race
    with cron shutdown. (MR: debian/munin!6)

 -- Holger Levsen <holger@debian.org>  Wed, 16 Nov 2022 18:08:55 +0100

munin (2.0.71-1.1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add missing test dependency on net-tools for netstat plugin.
    - Disable sysv autopkgtests
    - d/p/munin-node-configure-doc-fix.patch: Remove deprecated argument
      exitnoerror and update some snmp arguments to match their correct naming.
  * autopkgtest: Avoid remaining race with cron shutdown. (LP: #1865938)

 -- dann frazier <dannf@ubuntu.com>  Thu, 10 Nov 2022 06:41:20 -0700

munin (2.0.71-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:24:47 +0200

munin (2.0.71-1) unstable; urgency=medium

  * New upstream release. Closes: #1019343.
  * d/control:
    - drop several Breaks/Replaces: munin-doc (<< 2.0.37-3) entries as they
      were matched with the Buster release.
    - update standards version to 4.6.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 26 Sep 2022 14:44:44 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libmodule-build-perl,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://munin-monitoring.org
 Vcs-Git: https://salsa.debian.org/debian/munin.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/munin
@@ -56,8 +56,6 @@
 Suggests:
  munin,
  munin-plugins-java,
-Replaces: munin-doc (<< 2.0.37-3)
-Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -185,8 +183,6 @@
  rrdtool,
 Recommends: munin-node, munin-doc, libcgi-fast-perl
 Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
-Replaces: munin-doc (<< 2.0.37-3)
-Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (grapher/gatherer)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -211,8 +207,6 @@
 Depends: ${perl:Depends}, ${misc:Depends},
  adduser,
  liblist-moreutils-perl,
-Replaces: munin-doc (<< 2.0.37-3)
-Breaks: munin-doc (<< 2.0.37-3)
 Description: network-wide graphing framework (common)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
